Bug 1425178 - Remove texi2html build dependancy from RPM
Summary: Remove texi2html build dependancy from RPM
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Danilo Cesar de Paula
QA Contact: Chao Yang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1440987
TreeView+ depends on / blocked
 
Reported: 2017-02-20 17:51 UTC by Daniel Berrange
Modified: 2017-08-02 03:37 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1440987 (view as bug list)
Environment:
Last Closed: 2017-08-01 23:44:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Daniel Berrange 2017-02-20 17:51:07 UTC
Description of problem:

The need to run 'texi2html' during QEMU builds was removed 7 years ago....

commit 01668d98a380896f0de09ba3f5809d4dd44fa71d
Author: Stefan Weil <weil@mail.berlios.de>
Date:   Thu Mar 4 22:21:02 2010 +0100

    Documentation: Modify rule for html output (better looking output format)
    
    To create html output from texi input, texi2html was used.
    Output from makeinfo looks cleaner, so replace the old rule
    and use makeinfo now.
    
    For those who want to use their own variant of html output,
    the macros MAKEINFO and MAKEINFOFLAGS allow customisation.
    Option "-I ." is not needed (the current directory is
    searched by default), so remove it.
    
    Please note that the build requirements changed, too:
    makeinfo is required for doc builds.
    texi2html is no longer used.
  
...but we still have

  BuildRequires: texi2html 

in the qemu-kvm.spec file. This pulls in 100's of texlive RPMs when building QEMU for no reason.

Simply remove the 'BuildRequires: texi2html' line, since the new 'makeinfo' command is part of the base 'texinfo' RPM.

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.8.0-5.el7

Comment 2 Danilo Cesar de Paula 2017-03-14 14:08:05 UTC
Patch was posted top rhvirt-patches.

Comment 6 errata-xmlrpc 2017-08-01 23:44:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 01:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:14:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 02:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 03:19:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 03:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.